Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594986 - [RFE] provide dist macros for RHEL5
Summary: [RFE] provide dist macros for RHEL5
Keywords:
Status: CLOSED DUPLICATE of bug 481023
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-release
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Daniel Mach
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-22 14:57 UTC by Alexander Todorov
Modified: 2010-11-09 13:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 513075
Environment:
Last Closed: 2010-05-24 07:28:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alexander Todorov 2010-05-22 14:57:39 UTC
+++ This bug was initially created as a clone of Bug #513075 +++

Description of problem:
fedoras packaging guidelines state that el<version> should be defined to 1 
https://fedoraproject.org/wiki/Packaging/DistTag#Conditionals

redhat-release defines the disttag to .el6 and rhel to 6  but is missing el6  defined to 1 



Version-Release number of selected component (if applicable):
redhat-release-6-6.0.0.7.i586

How reproducible:

always 

Steps to Reproduce:
1. install system 
2. cat /etc/rpm/macros.dist
3.
  
Actual results:
%rhel 6
%dist .el6

Expected results:
%rhel 6
%dist .el6
%el6  1

Additional info:

Comment 1 Alexander Todorov 2010-05-22 14:58:42 UTC
Cloning for RHEL5:

Expected results:
%rhel 5
%dist .el5
%el5  1


Note You need to log in before you can comment on or make changes to this bug.